Subject: Re: [PATCH] gnu: Remove unnecessary sway dependency on elogind.

From: muradm <[email-masked]>
Date: Mon, 20 Jun 2022 13:51:21 +0300

Hi,

elogind/systemd was used via wlroots actually.
wlroots dropped elogind/system in favour of libseat.
libseat can talk to either systemd, elogind or seatd.
this is already reflected in wlroots package.

setuid thing you point is reflected as warning in meson.build.
there is no functionality behind it as far as I know.
and in 1.7 meson does not look at them directly, but via wlroots.
basically informative from sway point of view.

the only thing left behind is swaybar which relays on
either systemd, elogind or basu for system tray functionality.
this could be used as argument for keeping elogind
as dependency.

you may look at #49969 which added the other day
seatd-service-type and greetd stuff.

--
muradm

Liliana Marie Prikler <[email-masked]> writes:

> Hi,
>
> note that "unnecessary" is quite judgmental.  Why is it 
> unnecessary?
> By default, guix tends to include "optional" inputs such as 
> elogind.
>
> Am Sonntag, dem 19.06.2022 um 17:39 +0300 schrieb muradm:
>> * gnu/packages/wm.scm (sway): Cleanup dependencies.
> The ChangeLog should explicitly say what is done, i.e. 
> (sway)[inputs]:
> Remove elogind.
>
>
> What exactly is the goal here?  As far as I'm aware sway works 
> either
> with *logind or seatd or by having itself be setuid.  If the aim 
> is to
> support seatd-based services, I think having a sway-with-seatd 
> variant
> would be better.
>
> WDYT?